libgdamm Reference Documentation

Main Page Namespaces Book

# Gnome::Gda::QueryObject Class Reference

Parent class for any object participating in a GdaQuery query. More...

Inheritance diagram for Gnome::Gda::QueryObject:

[legend]
List of all members.

## Public Member Functions

int | get_int_id () const
| Get the integer ID of qobj.
const GdaQueryObject* | gobj () const
| Provides access to the underlying C GObject.
GdaQueryObject* | gobj ()
| Provides access to the underlying C GObject.
GdaQueryObject* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | set_int_id (int id)
| Sets the integer ID of qobj; this also triggers a change in the string ID (which can be obtained using Gda::Object::get_id()) of the object.
Glib::SignalProxy0<void> | signal_numid_changed ()

Prototype:
  `void on_my_numid_changed()`

virtual | ~QueryObject ()

## Protected Member Functions

virtual void | on_numid_changed ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gnome::Gda::QueryObject> | wrap (GdaQueryObject* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Parent class for any object participating in a GdaQuery query.

## Constructor & Destructor Documentation

virtual Gnome::Gda::QueryObject::~QueryObject | ( |  | ) | `[virtual]`

## Member Function Documentation

int Gnome::Gda::QueryObject::get_int_id | ( |  | ) | const

Get the integer ID of qobj.

Return: the integer ID

const GdaQueryObject* Gnome::Gda::QueryObject::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gnome::Gda::Object.

Reimplemented in Gnome::Gda::Query, Gnome::Gda::QueryCondition, Gnome::Gda::QueryField, Gnome::Gda::QueryFieldAgg, Gnome::Gda::QueryFieldAll, Gnome::Gda::QueryFieldField, Gnome::Gda::QueryFieldFunc, Gnome::Gda::QueryFieldValue, Gnome::Gda::QueryJoin, and Gnome::Gda::QueryTarget.

GdaQueryObject* Gnome::Gda::QueryObject::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gnome::Gda::Object.

Reimplemented in Gnome::Gda::Query, Gnome::Gda::QueryCondition, Gnome::Gda::QueryField, Gnome::Gda::QueryFieldAgg, Gnome::Gda::QueryFieldAll, Gnome::Gda::QueryFieldField, Gnome::Gda::QueryFieldFunc, Gnome::Gda::QueryFieldValue, Gnome::Gda::QueryJoin, and Gnome::Gda::QueryTarget.

GdaQueryObject* Gnome::Gda::QueryObject::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gnome::Gda::Object.

Reimplemented in Gnome::Gda::Query, Gnome::Gda::QueryCondition, Gnome::Gda::QueryField, Gnome::Gda::QueryFieldAgg, Gnome::Gda::QueryFieldAll, Gnome::Gda::QueryFieldField, Gnome::Gda::QueryFieldFunc, Gnome::Gda::QueryFieldValue, Gnome::Gda::QueryJoin, and Gnome::Gda::QueryTarget.

virtual void Gnome::Gda::QueryObject::on_numid_changed | ( |  | ) | `[protected, virtual]`

void Gnome::Gda::QueryObject::set_int_id | ( | int | id | ) |

Sets the integer ID of qobj; this also triggers a change in the string ID (which can be obtained using Gda::Object::get_id()) of the object.

Glib::SignalProxy0< void > Gnome::Gda::QueryObject::signal_numid_changed | ( |  | ) |

Prototype:
  `void on_my_numid_changed()`

## Friends And Related Function Documentation

Glib::RefPtr<Gnome::Gda::QueryObject> wrap | ( | GdaQueryObject * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- queryobject.h